Bug 580637 - Incorrect russian vnc keymap
Summary: Incorrect russian vnc keymap
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kvm
Version: 5.4
Hardware: All
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: Eduardo Habkost
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On:
Blocks: Rhel5KvmTier2 639437
TreeView+ depends on / blocked
 
Reported: 2010-04-08 16:54 UTC by Oleg L. Sadov
Modified: 2011-01-13 23:34 UTC (History)
6 users (show)

Fixed In Version: kvm-83-202.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 639437 (view as bug list)
Environment:
Last Closed: 2011-01-13 23:34:36 UTC


Attachments (Terms of Use)
Patch for problem with incorrect russian keymap solving (260 bytes, patch)
2010-05-12 16:33 UTC, Oleg L. Sadov
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:0028 normal SHIPPED_LIVE Low: kvm security and bug fix update 2011-01-13 11:03:39 UTC

Description Oleg L. Sadov 2010-04-08 16:54:53 UTC
Description of problem:
Keys with 'slash' and 'bar' have incorrect mapping for keymap 'ru'.

Version-Release number of selected component (if applicable):
kvm-83-105.el5_4.28

How reproducible:
Setup keymap graphics to 'ru'

Steps to Reproduce:
1. run virsh
2. edit domains XML file and set 'keymap' attribute in 'graphics' tag to 'ru'
3. start domain
  
Actual results:
When pressing to '/' key we got '<', '|' --> '>'.

Expected results:
Must be '/' and '|'

Additional info:
Patch for this problem solving attached.

Comment 1 Oleg L. Sadov 2010-05-12 16:33:17 UTC
Created attachment 413481 [details]
Patch for problem with incorrect russian keymap solving

Comment 7 Miya Chen 2010-11-02 05:18:13 UTC
Hi, sadov

can you help to verify this bug with the latest build? thanks.

michen

Comment 8 Oleg L. Sadov 2010-11-03 14:12:41 UTC
Sure. Where I can get kvm-83-202.el5 RPM or SRPM?

Comment 9 Chris Ward 2010-11-10 11:31:29 UTC
RHEL 5.6 Public Beta is available via RHN.

Comment 10 Oleg L. Sadov 2010-11-10 15:09:05 UTC
(In reply to comment #9)
> RHEL 5.6 Public Beta is available via RHN.

Unfortunately, I don't have active RHN subscriptions now. I can test it, for example, after the publishing of SRPM on the open FTP-server.

Comment 14 juzhang 2010-11-17 07:26:08 UTC
Reproduced this issue on kvm-83-163.el5.

1. #virsh edit test
   edit domains XML file and set 'keymap' attribute in 'graphics' tag from english to 'ru'

2. star vm
   #virsh start test
3.input '/'

After step3,we got <

Verified on kvm-83-207.el5 using the same steps.

After input "/",we get "/"

Comment 17 errata-xmlrpc 2011-01-13 23:34:36 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-0028.html


Note You need to log in before you can comment on or make changes to this bug.